<ngx-loading [show]="loading" [config]="{primaryColour: primaryColour, secondaryColour: secondaryColour, tertiaryColour: primaryColour, backdropBorderRadius: '3px', fullScreenBackdrop: true}" [template]="loadingTemplate"></ngx-loading>
<ng2-toasty [position]="position"></ng2-toasty>

<div class="row">
    <div class="col-md-12 col-xl-12">
        <div class="page-header-breadcrumb" style="float: left">
            <ul class="breadcrumb-title">
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'dashboard']"><i class="icofont icofont-home"></i></a> 
                </li> 
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'dinas']">OPD</a> 
                </li>   
                <li class="breadcrumb-item">
                    <a [routerLink]="['#']" class="not-active">Tambah</a> 
                </li>  
            </ul>
        </div>
    </div>
</div> 
<div class="row">
    <!-- counter-card-1 start-->
    <div class="col-md-12 col-xl-12">

        <br> 
        <div class="card card-border-primary">
            <div class="card-header">
                <h5>Tambah OPD </h5>
            </div>
            <div class="card-block">

                <form class="md-float-material" [formGroup]="myForm" (ngSubmit)="onSubmit()" (keydown.enter)="$event.preventDefault()">

                <div class="row" style="/*border-bottom: 1px solid rgba(0,0,0,.125); padding-bottom: 10px;*/">
                    <div class="col-sm-2 col-xl-2">  
                        <!-- <button class="btn btn-inverse btn-sm btn-icon" type="button" (click)="showBack()" placement="top" ngbTooltip="Kembali"><i class="icofont icofont-rounded-left" style="font-size: xx-large;"></i></button> -->
                    </div>
                    <div class="col-sm-8 col-xl-8">  
                    </div>
                    <div class="col-sm-2 col-xl-2">
                    </div>
                </div>  
                <br>
                <div class="row">
                    <div class="col-sm-6 col-xl-6">
                        <label class="col-form-label">Jenis</label>
                        <select name="select" class="form-control" placeholder="Jenis" formControlName="jenis" >
                            <option value="">-- Pilih Jenis --</option>
                            <option value="Sekertariat">Sekertariat</option>
                            <option value="Inspektorat">Inspektorat</option>
                            <option value="Dinas">OPD</option>
                            <option value="Badan">Badan</option>
                        </select>
                        <span class="messages text-danger" *ngIf="!myForm.get('jenis').valid && myForm.get('jenis')">* Pilih salah satu</span>
                        <span class="md-line"></span>
                    </div>

                    <div class="col-sm-6 col-xl-6">
                        <label class="col-form-label">Nama</label>
                        <input class="form-control" type="text" placeholder="Nama" formControlName="nama"/>
                        <span class="messages text-danger" *ngIf="!myForm.get('nama').valid && myForm.get('nama')">* Harus diisi</span>
                        <span class="md-line"></span>
                    </div> 
                </div>

                <div class="row">
                    <div class="col-sm-6 col-xl-6">
                        <label class="col-form-label">No Telp</label>
                        <input class="form-control" type="text" placeholder="No Telp" formControlName="no_telp"/>
                        <span class="messages text-danger" *ngIf="!myForm.get('no_telp').valid && myForm.get('no_telp')">* Harus diisi</span>
                        <span class="md-line"></span>
                    </div> 

                    <div class="col-sm-6 col-xl-6">
                        <label class="col-form-label">Website</label>
                        <input class="form-control" type="text" placeholder="Website" formControlName="web"/>
                        <span class="messages text-danger" *ngIf="!myForm.get('web').valid && myForm.get('web')">* Harus diisi</span>
                        <span class="md-line"></span>
                    </div> 
                </div>

                <div class="row">
                    <div class="col-sm-12 col-xl-12">
                        <label class="col-form-label">Alamat</label>
                        <textarea class="form-control" rows="3" cols="3" placeholder="Alamat" style="height: 100px;" formControlName="alamat"></textarea>
                        <span class="messages text-danger" *ngIf="!myForm.get('alamat').valid && myForm.get('alamat')">* Harus diisi</span>
                        <span class="md-line"></span>
                    </div> 
                </div>

                <br/>
                <div class="row">
                    <div class="col-sm-6 col-xl-6">
                    </div>
                    <div class="col-sm-3 col-xl-3">
                        <button class="btn btn-danger btn-md btn-block" type="button" (click)="showBack()" ><i class="icofont icofont-error"></i>Batal</button>
                    </div>
                    <div class="col-sm-3 col-xl-3">
                        <button class="btn btn-success btn-md btn-block" type="submit" [disabled]="!myForm.valid" ><i class="icofont icofont-diskette"></i>Simpan</button>
                    </div>
                </div>

                </form>
            </div>           
        </div>
    </div>
    <!-- counter-card-1 end-->
</div>
